TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
});
async function main() {
const response = await client.webhooks.deleteWebhook({
id: '00000000-0000-0000-0000-000000000000',
});
console.log(response);
}
main();curl -X DELETE 'https://api.periskope.app/v1/webhooks/00000000-0000-0000-0000-000000000000' \
-H 'Authorization: Bearer YOUR_API_KEY'Webhook APIs
Delete Webhook
Permanently deletes a webhook subscription row by id. Its sibling rows (same create call) are marked unsubscribed — to pause without deleting, use PATCH with isSubscribed: false.
TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
});
async function main() {
const response = await client.webhooks.deleteWebhook({
id: '00000000-0000-0000-0000-000000000000',
});
console.log(response);
}
main();curl -X DELETE 'https://api.periskope.app/v1/webhooks/00000000-0000-0000-0000-000000000000' \
-H 'Authorization: Bearer YOUR_API_KEY'Authorizations
Path Parameters
Response
Webhook deleted — empty response
Was this page helpful?